This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 681615 - collectd-postgresql wrongly installs postgresql_default.conf as documentation
collectd-postgresql wrongly installs postgresql_default.conf as documentation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-02 13:25 EST by Charles Duffy
Modified: 2013-01-23 18:34 EST (History)
5 users (show)

See Also:
Fixed In Version: collectd-5.1.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 18:34:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Duffy 2011-03-02 13:25:01 EST
Description of problem:

collectd-postgresql expects postgresql_default.conf to be installed in the /usr/share/collectd/ directory, from which its contents are unconditionally loaded in addition to any user-specified queries.

Instead, this file is installed under the %docdir, causing collectd-postgresql to fail at runtime.

Version-Release number of selected component (if applicable):

  collectd-postgresql-4.10.2-1.el5

How reproducible:

  100%

Steps to Reproduce:

  1. Install collectd-postgresql.conf

  2. Define a config file which makes use of this plugin. For instance:

LoadPlugin "postgresql"
<Plugin "postgresql">
  <Database "mydb">
    Service "mydb"
  </Database>
</Plugin>

(the above presuming a "mydb" service present in /etc/pg_service.conf)
  
Actual results:

  The collectd-postgresql plugin fails to load with the following errors:

  postgresql: Failed to read default config (/usr/share/collectd/postgresql_default.conf).
  postgresql: Default config (/usr/share/collectd/postgresql_default.conf) did not define any queries - please check your installation.

Expected results:

  collectd will run its default set of queries against PostgreSQL's internal statistics tables.
Comment 1 Fedora Update System 2012-11-26 07:05:32 EST
collectd-4.10.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-18543/collectd-4.10.8-2.fc17
Comment 2 Fedora Update System 2012-12-06 02:08:44 EST
collectd-4.10.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.